> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/users/insert#auth).

Creates a new EMM-managed user.

<br />


The [Users](https://developers.google.com/android/work/play/emm-api/v1/users) resource
passed in the body of the request should include an
`accountIdentifier` and an `accountType`.

If a corresponding user already exists with the same account identifier,
the user will be updated with the resource. In this case only the
`displayName` field can be changed.

<br />

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/users
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

In the request body, supply a [Users resource](https://developers.google.com/android/work/play/emm-api/v1/users#resource) with the following properties:

| Property name | Value | Description | Notes |
|---|---|---|---|
| **Required Properties** ||||
| `accountIdentifier` | `string` | A unique identifier you create for this user, such as "user342" or "asset#44418". Do not use personally identifiable information (PII) for this property. Must always be set for EMM-managed users. Not set for Google-managed users. |   |
| `accountType` | `string` | The type of account that this user represents. A `userAccount` can be installed on multiple devices, but a `deviceAccount` is specific to a single device. An EMM-managed user (`emmManaged`) can be either type (`userAccount`, `deviceAccount`), but a Google-managed user (`googleManaged`) is always a `userAccount`. <br /> Acceptable values are: - "`deviceAccount`" - "`userAccount`" |   |

## Response

If successful, this method returns a [Users resource](https://developers.google.com/android/work/play/emm-api/v1/users#resource) in the response body.